# -*- coding: utf-8 -*-
from __future__ import annotations

import uuid

import factory

from hotpocket_backend.apps.accounts.models import Account


class AccountFactory(factory.django.DjangoModelFactory):
    username = factory.LazyFunction(uuid.uuid4)
    first_name = factory.Faker('first_name')
    last_name = factory.Faker('last_name')
    email = factory.Faker('email')
    is_staff = False
    is_active = True

    class Meta:
        model = Account
